## org.apache.fop.datatypes
Class MixedLength

    java.lang.Object
      |
      +--org.apache.fop.datatypes.Length
            |
            +--org.apache.fop.datatypes.MixedLength

Direct Known Subclasses:
  TableColLength

public class MixedLength
extends Length

A length quantity in XSL which is specified with a mixture of absolute and relative and/or percent components. The actual value may not be computable before layout is done.

Fields inherited from class org.apache.fop.datatypes.Length
`AUTO, bIsComputed, millipoints`

Constructor Summary
`MixedLength(int absPart, PercentLength pcPart)` construct an object based on a factor (the percent, as a a factor) and an object which has a method to return the Length which provides the "base" for this calculation.

Method Summary
`protected int` `computeValue()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.fop.datatypes.Length
`convert, getTableUnits, isAuto, mvalue, setIsComputed, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MixedLength

    public MixedLength(int absPart,
                       PercentLength pcPart)

  construct an object based on a factor (the percent, as a a factor) and an object which has a method to return the Length which provides the "base" for this calculation.

Method Detail

### computeValue

    protected int computeValue()

  Overrides:
    computeValue in class Length

### toString

    public java.lang.String toString()

  Overrides:
    toString in class Length

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.